function checkUpdate(appVer,wait){
	var c_imei=""; // 设备的国际移动设备身份码
	var c_imsi=""; //设备的国际移动用户识别码
	var c_model="";// 设备的型号
	var c_vendor="";// 设备的生产厂商
	var c_uuid=""; //设备的唯一标识
	var c_CPU="";	//设备CPU
	if(wait){
    	plus.nativeUI.showWaiting("正在检测更新...");
   	}else{
		c_imei=plus.device.imei;
		c_imsi=plus.device.imsi;
		c_model=plus.device.model;
		c_vendor=plus.device.vendor;
		c_uuid=plus.device.uuid;   		
		c_CPU=getCpuInfo();   	
   	}
	var u_uid=localStorage.getItem("uid");
	var uSYS="";
    switch ( plus.os.name ) {
        case "Android":
	        uSYS="apk";
    	    break;
        case "iOS":
        	uSYS="ios";
	        break;
        default:
        	uSYS="";
        break;
    }	
	mui.ajax( checkUrl , { 
			dataType : "text", 
			type : 'POST',
            data : {
            	cVer:appVer,
            	cSYS:uSYS,
				imei:c_imei,
				imsi:c_imsi,
				model:c_model,
				vendor:c_vendor,
				uuid:c_uuid,
				cpu:c_CPU,
				uid:u_uid
	        },
            success : function(data){
//			   	console.log(data);
 				var json = JSON.parse(data);
				if(wait){
                	plus.nativeUI.closeWaiting();
               	}
                if( parseInt(json.code) ==1 ){                           
                    //可以升级
                    plus.nativeUI.confirm("检查到有新版本，是否升级？",
                        function(event){
                            if(event.index ==0){
//                                console.log('下载地址：'+SrvURL + json.url)
                                downWgt(SrvURL + json.url); //下载更新版的地址
                            }                        
                        } ,'系统消息',['立即升级','下次再说']);                
                } else{  
					if(wait){
        	            plus.nativeUI.toast("无新版本可更新！");
		            }
                }
            },
            error : function(xhr, error){ 
				if(wait){
                plus.nativeUI.closeWaiting();
                plus.nativeUI.toast('检测更新失败！') ;
               }
            }
        }) ;
}


function downWgt(wgtUrl){
//	var wtStlye=;
    var w=plus.nativeUI.showWaiting("正在更新..",{width:"250px",height:"100px"});
    var dtask =plus.downloader.createDownload( wgtUrl, {filename:"_doc/update/"});
	dtask.addEventListener("statechanged",
	function (task, status){
        switch (task.state) {
    	case 1: // 开始
				w.setTitle("开始下载...");
    		break;
    	case 2: // 已连接到服务器
			if (w) {
				w.setTitle("链接到服务器...");
			}
    		break;        	
        case 3:	// 已接收到数据
			if (w) {
				var down=Math.ceil((task.downloadedSize/task.totalSize)*100);
				down="正在更新..."+down+"%";
				w.setTitle(down);
			}
			break;
		case 4:	// 下载完成
			if (status == 200) {
				if (w) {
					w.close();
				}
				installWgt(task.filename); // 安装wgt包
			} else {
				plus.nativeUI.closeWaiting();
				plus.nativeUI.alert("下载更新失败，请重新操作！");
			}
			break;
		}
	});
    dtask.start()
}
// 更新应用资源  
function installWgt(path){
    plus.nativeUI.showWaiting("正在安装更新文件...");
    plus.runtime.install(path,{},function(){
        plus.nativeUI.closeWaiting();
        plus.runtime.quit();
//        plus.nativeUI.alert("安装更新文件完成！",function(){
//            plus.runtime.restart();
//        });
    },function(e){
        plus.nativeUI.closeWaiting();        
        plus.nativeUI.alert("安装更新文件失败["+e.code+"]："+e.message);
    });
}

function getCpuInfo() { 
    var cpuInfo = '/proc/cpuinfo'; 
    var temp = '', 
        cpuHardware; 
    var fileReader = plus.android.importClass("java.io.FileReader"); 
    var bufferedReader = plus.android.importClass("java.io.BufferedReader"); 
    var FileReader = new fileReader(cpuInfo); 
    var BufferedReader = new bufferedReader(FileReader, 8192); 
    while ((temp = BufferedReader.readLine()) != null) { 
        if (-1 != temp.indexOf('Hardware')) { 
            cpuHardware = temp.substr(parseInt(temp.indexOf(":")) + 1); 
        } 
    } 
    return cpuHardware; 
} 